Update an existing policy

Update an existing policy with new configuration.
This endpoint allows updating any aspect of the policy including rules,
description, and other metadata.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required
length between 4 and 20
^[0-9]*$

Policy identifier.

Body Params

Policy input object for create/update.

Policy data for create and update operations.
Contains the policy configuration without system-managed fields.

string
required
length between 1 and 225
^[a-zA-Z0-9_ -]*$

A unique name for JFrog resources.
Must be 1-225 alphanumeric characters, underscores, hyphens, and spaces.

string
length ≤ 2048

A human-readable description of the resource.
Optional field with a maximum length of 2048 characters. Can contain any characters.

boolean
required

if true policy is active, otherwise it is inactive.

string
enum
required

Controls the behavior of unified policy, allowing it to run in a non-enforcing state.

Allowed:
action
required

Attributes defines the action a policy is applicable.

scope
required

Attributes defines when a policy is applicable.

rule_ids
array of objects
required
length between 1 and 1

A list of rule ids that the policy enforces.
Note: Currently limit to 1 rule per policy.

rule_ids*
string
enum
Defaults to manual

Controls how waiver requests targeting this policy are handled:

  • forbidden: waiver requests are rejected on creation.
  • manual: waiver requests are created as pending and require approval from a policy_manager (default).
  • auto_approved: waiver requests are automatically approved on creation.
Allowed:
Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json